Bug 161545 - [patch] fix installing only server to games/openttd
Summary: [patch] fix installing only server to games/openttd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-13 14:50 UTC by Ilya A. Arhipov
Modified: 2011-11-28 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.46 KB, patch)
2011-10-13 14:50 UTC, Ilya A. Arhipov
no flags Details | Diff
openttd_1.1.3_ICONS.patch (2.86 KB, patch)
2011-10-19 11:01 UTC, ilya.arkhipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya A. Arhipov 2011-10-13 14:50:09 UTC
Fix installing only server to openttd, now we not installing icons for game.
Also little fix variable for portlint.

Fix: in attach or http://micro.heavennet.ru/ports/openttd/openttd_1.1.3_fix.txt

Patch attached with submission follows:
How-To-Repeat: Try install openttd -D WITH_DEDICATED_SERVER_ONLY
Comment 1 Edwin Groothuis freebsd_committer 2011-10-13 14:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alexey Dokuchaev freebsd_committer 2011-11-23 11:00:21 UTC
State Changed
From-To: open->feedback

I still fail to see why do you want to suppress installation of icons for 
dedicated server.  What if user wants to have a shortcut on her desktop (with 
an icon) which would launch a dedicated server for her friends to play? 

These icons do eat much space, do not require any extra dependency, while 
installing them conditionally would complicate Makefile logic and pkg-plist. 
That said, I don't see strong reasons for committing this suggestion.
Comment 3 Ilya A. Arhipov 2011-11-23 12:01:37 UTC
2011/11/23 <danfe@freebsd.org>

> Synopsis: [patch] fix installing only server to games/openttd
>
> State-Changed-From-To: open->feedback
> State-Changed-By: danfe
> State-Changed-When: Wed Nov 23 11:00:21 UTC 2011
> State-Changed-Why:
> I still fail to see why do you want to suppress installation of icons for
> dedicated server.  What if user wants to have a shortcut on her desktop
> (with
> an icon) which would launch a dedicated server for her friends to play?
>
> These icons do eat much space, do not require any extra dependency, while
> installing them conditionally would complicate Makefile logic and
> pkg-plist.
> That said, I don't see strong reasons for committing this suggestion.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=161545
>

Because this "Dedicated *server*", if user want "shortcut on her
desktop(with an icon)" he can do it manually... but if I want install
"dedicated *server*" why I need install ICONS(after last update on my
server I had so many trouble with this option)?

-- 
Best regards.
Ilya A. Arkhipov
Comment 4 danfe 2011-11-23 14:54:06 UTC
> [...] but if I want install "dedicated *server*" why I need install ICONS
> (after last update on my server I had so many trouble with this option)?

Icons are certainly not required for dedicated server, but their presence
does not hurt, does it?

Exactly which problems did you have upon your last update?  Can you be
more specific?  Were they due to INSTALLS_ICONS knob?

I am not rigidly against your proposal, but I need to understand clearly
all the implications.  Thanks.
Comment 5 Ilya A. Arhipov 2011-11-23 18:35:18 UTC
2011/11/23 Alexey Dokuchaev <danfe@nsu.ru>

> > [...] but if I want install "dedicated *server*" why I need install ICONS
> > (after last update on my server I had so many trouble with this option)?
>
> Icons are certainly not required for dedicated server, but their presence
> does not hurt, does it?
>
> Exactly which problems did you have upon your last update?  Can you be
> more specific?  Were they due to INSTALLS_ICONS knob?
>
> I am not rigidly against your proposal, but I need to understand clearly
> all the implications.  Thanks.
>

"but their presence does not hurt, does it?" <- NO!
in bsd.gnome.mk:
.if defined(INSTALLS_ICONS)
USE_GNOME+=     gtk-update-icon-cache
.endif

look like good, but let's see into gtk-update-icon-cache in Makefile:
USE_GNOME=      gnomehack atk pango gdkpixbuf2 ltverhack
USE_XORG=       xext xrender x11 xinerama xi xrandr xcursor xfixes xdamage \
                xcomposite
etc...
I can't install it on my server... Also on all servers I have
WITHOUT_X11=YES in make.conf(think is good)
And think we need exclude it for "dedicated server *only*"

-- 
Best regards.
Ilya A. Arkhipov
Comment 6 Alexey Dokuchaev freebsd_committer 2011-11-28 14:03:54 UTC
State Changed
From-To: feedback->closed

Committed with modifications along with other fixes, thanks!
Comment 7 dfilter service freebsd_committer 2011-11-28 14:04:06 UTC
danfe       2011-11-28 14:03:51 UTC

  FreeBSD ports repository

  Modified files:
    games/openttd        Makefile pkg-plist 
  Log:
  - Do not install icons and define INSTALLS_ICONS knob when building dedicated
    server only and thus greatly reduce number of dependencies: X11 bits might
    not be installed on typical server, and those icons are not essential type
    of data anyway [1]
  - Remove one dead distfile mirror site (cz.binaries.openttd.org)
  - Rearrange things in a more logical way within the Makefile; add few blank
    lines to improve readability when dealing with WITH_* knobs
  - Drop redundant DISTVERSIONSUFFIX
  - Turn @dirrm into @dirrmtry statements for directories which are shared with
    libre game media files [2]
  
  PR:             ports/161545 [1, 2]
  Submitted by:   Ilya Arkhipov
  Feature safe:   yes
  
  Revision  Changes    Path
  1.41      +23 -17    ports/games/openttd/Makefile
  1.16      +3 -3      ports/games/openttd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Ilya A. Arhipov 2011-11-28 14:21:57 UTC
2011/11/28 <danfe@freebsd.org>

> Synopsis: [patch] fix installing only server to games/openttd
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: danfe
> State-Changed-When: Mon Nov 28 14:03:54 UTC 2011
> State-Changed-Why:
> Committed with modifications along with other fixes, thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=161545
>


Thank you!

-- 
Best regards.
Ilya A. Arkhipov